Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi.rawserialization
Interface InputBuffer

All Known Implementing Classes:
  SimpleInputBuffer

    public interface InputBuffer

DESCRIBE THE INTERFACE

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Method Summary
`int` | `bytesRemaining()` DESCRIBE THE METHOD
`int` | `read(byte[] b)` DESCRIBE THE METHOD
`int` | `read(byte[] b, int off, int len)` DESCRIBE THE METHOD
`boolean` | `readBoolean()` DESCRIBE THE METHOD
`byte` | `readByte()` DESCRIBE THE METHOD
`char` | `readChar()` DESCRIBE THE METHOD
`double` | `readDouble()` DESCRIBE THE METHOD
`float` | `readFloat()` DESCRIBE THE METHOD
`int` | `readInt()` DESCRIBE THE METHOD
`long` | `readLong()` DESCRIBE THE METHOD
`short` | `readShort()` DESCRIBE THE METHOD
`java.lang.String` | `readUTF()` DESCRIBE THE METHOD

Method Detail

### read

    int read(byte[] b,
             int off,
             int len)
             throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `b` - DESCRIBE THE PARAMETER
    `off` - DESCRIBE THE PARAMETER
    `len` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### read

    int read(byte[] b)
             throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `b` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readBoolean

    boolean readBoolean()
                        throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readByte

    byte readByte()
                  throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readChar

    char readChar()
                  throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readDouble

    double readDouble()
                      throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readFloat

    float readFloat()
                    throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readInt

    int readInt()
                throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readLong

    long readLong()
                  throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readShort

    short readShort()
                    throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### readUTF

    java.lang.String readUTF()
                             throws java.io.IOException

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### bytesRemaining

    int bytesRemaining()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.